:root {
    --pallete-primary: hsl(322, 100%, 66%);
    --pallete-white: white;
    --pallete-light: hsl(193, 100%, 96%);
    --pallete-dark: hsl(192, 100%, 9%);
    --pallete-gray: hsl(208, 11%, 55%);
    --pallete-light-gray: #808d9940;

    --horizontal-page-margin: 16px;
    --vertical-page-margin: 8px;
    --internal-page-max-width: 1280px;
    --header-background-image: url("images/bg-hero-mobile.svg");
    --header-section-flex-flow: column nowrap;

    color: var(--pallete-dark);
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Poppins', sans-serif;
    font-weight: 600;
    line-height: 1;
}
h6 {
    font-size: 1rem;
    margin-block: 1rem;
}
h5 {
    font-size: 1.25rem;
    margin-block: 1rem;
}
h4 {
    font-size: 1.563rem;
    margin-block: 1rem;
}
h3 {
    font-size: 1.953rem;
}
h2 {
    font-size: 2.441rem;
}
h1 {
    font-size: 3.052rem;
}
P {
    font-size: 0.8rem;
}
body {
    background-color: var(--pallete-white);
    margin: 0;
    width: 100vw;
}
header {
    align-items: center;
    background-color: var(--pallete-light);
    background-image: var(--header-background-image);
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    padding: var(--horizontal-page-margin) var(--vertical-page-margin);
    width: 100%;
}
header nav {
    align-content: center;
    align-items: center;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    max-width: var(--internal-page-max-width);
    width: 96%;
}
header nav a {
    flex: 0 0 auto;
}
header nav img {
    margin: 8px 4px;
    max-width: 200px;
    min-width: 100px;
    width: 28vw;
}
header section {
    display: flex;
    flex-flow: var(--header-section-flex-flow);
    max-width: var(--internal-page-max-width);
    width: 96%;
}
header section article {
    text-align: center;
    width: 100%;
}
header section figure {
    margin: 40px 32px 0;
}
header section figure img {
    width: 100%;
}
main {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    margin-bottom: -100px;
    padding: var(--vertical-page-margin) var(--horizontal-page-margin);
    width: 100%;
}
main section {
    align-content: center;
    align-items: center;
    box-sizing: border-box;
    display: flex;
    flex-flow: column wrap;
    margin: 32px 0;
    max-width: var(--internal-page-max-width);
    width: 96%;
}
main section article {
    align-content: center;
    align-items: center;
    border-radius: 16px;
    box-sizing: border-box;
    box-shadow: 0px 2px 13px var(--pallete-light-gray);
    display: flex;
    flex-flow: column wrap;
    text-align: center;
    margin: 20px 0;
    padding: 32px 48px;
    width: 100%;
}
main section article figure {
    margin: 24px 0;
}
main section article figure img {
    width: 100%;
}
main section article p {
    color: var(--pallete-gray);
    margin: 4px 0;
}
footer {
    align-items: center;
    background-color: var(--pallete-dark);
    box-sizing: border-box;
    color: var(--pallete-white);
    display: flex;
    flex-direction: column;
    padding: var(--vertical-page-margin) var(--horizontal-page-margin);
    width: 100%;
}
footer section {
    max-width: var(--internal-page-max-width);
    width: 100%;
}
footer section:first-of-type {
    margin-top: 112px;
}
footer section img {
    filter: invert() grayscale() brightness(2);
    height: auto;
    margin: 24px 0 16px 0;
    width: 168px;
}
footer a {
    color: var(--pallete-white);
    text-decoration: none;
    width: fit-content;
}
footer a:hover {
    color: var(--pallete-primary);
}
footer section address {
    display: flex;
    flex-direction: column;
    font-style: normal;
    gap: 1.6rem;
    margin-bottom: 64px;
    max-width: 360px;
    position: relative;
}
footer section address * {
    display: list-item;
    list-style: '';
    margin: 0 0 0 40px;
}
footer section address *::before {
    left: 8px;
    line-height: 2rem;
    position: absolute;
}
footer section address :nth-child(1)::before {
    content: url('images/icon-location.svg');
}
footer section address :nth-child(2)::before {
    content: url('images/icon-phone.svg');
}
footer section address :nth-child(3)::before {
    content: url('images/icon-email.svg');
}
footer section nav {
    display: flex;
    flex-flow: column nowrap;
    gap: 1.6rem;
    margin-bottom: 1.6rem;
}
footer > p {
    max-width: var(--internal-page-max-width);
    text-align: center;
    width: 100%;
}
main section.call-to-action {
    background-color: var(--pallete-white);
    border-radius: 16px;
    box-shadow: 0px 2px 13px var(--pallete-light-gray);
    padding: 32px 20px;
    max-width: 800px;
    text-align: center;
    width: 95%;
}
footer section nav.social-buttons {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    gap: 1rem;
    margin: 40px 0 20px;
}
footer section nav.social-buttons a {
    align-items: center;
    border: 1px solid var(--pallete-white);
    border-radius: 50%;
    display: inline-flex;
    height: 32px;
    width: 32px;
}
footer section nav.social-buttons a:hover { 
    border-color: var(--pallete-primary);
    color-interpolation-filters: linearRGB;
    filter: 
        drop-shadow(0px 0px 8px var(--pallete-primary)) 
        drop-shadow(0px 0px 4px var(--pallete-primary)) 
        drop-shadow(0px 0px 2px var(--pallete-primary)) 
        saturate(200%)
        brightness(163%);
}
footer section nav.social-buttons a img {
    filter: invert();
    height: 16px;
    margin: 0;
}

.button {
    align-items: center;
    background-color: var(--pallete-white);
    border-radius: 2rem;
    box-shadow: 0px 2px 8px var(--pallete-light-gray);
    box-sizing: border-box;
    color: var(--pallete-dark);
    display: inline-flex;
    font-size: 0.8rem;
    font-weight: 600;
    height: fit-content;
    margin: 8px 4px;
    padding: 8px 24px;
    text-decoration: none;
    width: fit-content;
}
.button:hover {
    color: var(--pallete-gray);
    font-weight: 600;
}
.button.primary {
    background-color: var(--pallete-primary);
    color: var(--pallete-white)
}
.button.primary:hover {
    filter: brightness(180%) hue-rotate(25deg);
    font-weight: 600;
}
.button.large {
    height: 3rem;
    padding: 0 64px ;
}
@media (min-width: 647px) {
    :root {
        --horizontal-page-margin: 40px;
        --header-background-image: url("images/bg-hero-desktop.svg");
        --header-section-flex-flow: row nowrap;
    }
    header section article {
        align-self: center;
        margin: 16px 8px 0 0;
        padding: 16px 48px;
        text-align: left;
        width: 50%;
    }
    header section figure {
        margin: 16px 0 0 16px;
        width: 50%;
    }
    main section article {
        flex-flow: row nowrap;
        text-align: left;
    }
    main section article:nth-of-type(odd) {
        flex-flow: row-reverse nowrap;
    }
    main section article figure {
        padding: 0 0 0 64px;
        width: 50%;
    }
    main section article div {
        padding: 0 0 0 64px;
        width: 50%;
    }
    footer {
        display: flex;
        flex-direction: column;
        gap: 16px
    }
    footer section:nth-of-type(2) {
        align-items: flex-start;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }
    footer section:nth-of-type(2) address {
        width: 40%;
    }
    footer section:nth-of-type(2) nav {
        flex-grow: 0;
        width: 15%;
    }
    footer section nav.social-buttons {
        margin: 0 0 20px;
    }
    footer > p {
        text-align: right;
    }
    .button {
        padding: 12px 48px;
    }
}
@media (min-width: 1024px) {
    :root {
        font-size: 18px;
    }
    header section article {
        margin: 40px 32px 0 0;
        padding: 48px;
        width: 45%;
    }
    header section figure {
        margin: 40px 0 0 40px;
        width: 55%;
    }
}